# libdar::inode Class Reference
[Private]

the root class for all inode More...

`#include <catalogue.hpp>`

Inherits libdar::nomme.

Inherited by libdar::device, libdar::directory, libdar::file, libdar::ignored_dir, libdar::lien, libdar::prise, and libdar::tube.

List of all members.

## Public Types
enum | comparison_fields
| flag used to only consider certain fields when comparing/restoring inodes

## Detailed Description

the root class for all inode

Definition at line 157 of file catalogue.hpp.

The documentation for this class was generated from the following file:

- catalogue.hpp